Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454959 - Review Request: eclipse-cusp - Eclipse Common Lisp Development Tools (Cusp) plugin
Summary: Review Request: eclipse-cusp - Eclipse Common Lisp Development Tools (Cusp) p...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2008-07-11 02:01 UTC by Anthony Green
Modified: 2009-04-06 16:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-04-06 16:56:53 UTC


Attachments (Terms of Use)

Description Anthony Green 2008-07-11 02:01:49 UTC
Spec URL: http://spindazzle.org/Fedora/eclipse-cusp.spec
SRPM URL: http://spindazzle.org/Fedora/eclipse-cusp-0.9.207-1.fc9.src.rpm
Description: 
The eclipse-cusp package contains the Cusp Eclipse feature and plugins
that are useful for Common Lisp development.


BTW - I just noticed that the URL in this spec file is wrong.  It should point at http://bitfauna.com/projects/cusp/

I'll fix that after I get my first feedback.

Thanks,

AG

Comment 1 Andrew Overholt 2008-07-11 12:36:33 UTC
Hi Anthony.  Here are some initial comments:

- remove eclipse_lib_base and eclipse_arch
- you've got two different Requires: eclipse-platform lines
- what's with the "upstream CDT ..." comment?
- why is there something going to %{eclipse_base}/plugins/META-INF?  That
shouldn't be.
- what's with the wacky namespace (jasko.tim)?  Is jasko a top-level domain?
- is this an arch-specific plugin?

You  followed the Eclipse plugin packaging guidelines, right?

Comment 2 Anthony Green 2008-07-11 12:53:32 UTC
(In reply to comment #1)
> Hi Anthony.  Here are some initial comments:
> 
> - remove eclipse_lib_base and eclipse_arch
> - you've got two different Requires: eclipse-platform lines

Ok.

> - what's with the "upstream CDT ..." comment?

There's a lot of junk like that left over from the eclipse-photron spec file
from which this was derived.  I'm going to start trimming stuff out.

> - why is there something going to %{eclipse_base}/plugins/META-INF?  That
> shouldn't be.

I'm not putting anything in there, but I created the directory by mistake.  I
only needed the plugins directory.

> - what's with the wacky namespace (jasko.tim)?  Is jasko a top-level domain?

I don't know.  It's what upstream uses.

> - is this an arch-specific plugin?

It depends on sbcl, which is currently not built for ppc due to a bug.

> You  followed the Eclipse plugin packaging guidelines, right?

I didn't know they existed!  I'll look for them.

Thanks


Comment 4 Anthony Green 2008-07-11 13:23:51 UTC
And another one, with the correct URL from comment #0 this time...

Spec URL: http://spindazzle.org/Fedora/eclipse-cusp.spec
SRPM URL: http://spindazzle.org/Fedora/eclipse-cusp-0.9.207-3.fc9.src.rpm


Comment 5 Andrew Overholt 2008-07-11 14:31:28 UTC
Anthony:  for some reason the .spec is showing up with now linebreaks when I
look at it in my browser.

Comment 6 Anthony Green 2008-07-11 14:39:56 UTC
(In reply to comment #5)
> Anthony:  for some reason the .spec is showing up with now linebreaks when I
> look at it in my browser.

I don't know how to fix this.  I think it must have something to do with how my
hosting provider has their web server configured.  Sorry.

Comment 7 Andrew Overholt 2008-07-11 14:47:58 UTC
Can we have an explicit set of shell commands to create the tarball?  svn export
may be better than svn co, too.

Can you put some comments in for the patches?

The ant line is super-long; can you put in some \s and make them all < 80
characters?

There are some rpmlint warnings that need to be cleaned up.

I'll review this, but can you review sat4j (#453781 ; needed for Eclipse 3.4) or
eclipse-eclemma (#444512), please?  :)

Comment 8 Jason Tibbitts 2008-11-06 15:35:16 UTC
Any updates here?  It's been several months now.

Also, the guidelines for eclipse plugins have been updated; I do not know if that has any bearing on this package.

Comment 9 Anthony Green 2008-11-10 22:19:03 UTC
This package doesn't currently build with Eclipse 3.4 in F10.  I'll try to fix.

Comment 10 Andrew Overholt 2008-11-12 15:00:00 UTC
I've put an updated specfile that builds for me here:

http://overholt.fedorapeople.org/eclipse-cusp.spec

There may be issues, but it's updated to put stuff in the right places :)

Comment 11 Jason Tibbitts 2009-03-25 02:06:54 UTC
Was someone going to post a buildable package?

Comment 12 Andrew Overholt 2009-03-25 06:46:04 UTC
(In reply to comment #11)
> Was someone going to post a buildable package?  

Not me.

Comment 13 Jason Tibbitts 2009-03-25 20:35:20 UTC
OK, it's been 4.5 months since the last comment from the submitter and we don't have a buildable package.  I will close this soon if nothing happens.

Comment 14 Jason Tibbitts 2009-04-06 16:56:53 UTC
No response; closing.


Note You need to log in before you can comment on or make changes to this bug.